/*
 * Copyright (C) 1996-2007 LAAS/CNRS 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
/* $LAAS$ */

#ifndef _COMMANDS_H
#define _COMMANDS_H
extern int setObsCallBack ( struct Togl *togl, int argc, char *argv[] );
extern int redrawCallBack ( struct Togl *togl, int argc, char *argv[] );
extern int dumpEpsCallBack ( struct Togl *togl, int argc, char *argv[] );
extern int dumpPpmCallBack ( struct Togl *togl, int argc, char *argv[] );
extern int colorCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int clearColorCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int materialCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int drawStringCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int frameAnnotateCallBack(ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[]);
extern int translateCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int rotateCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int pushMatrixCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int popMatrixCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int loadIdentityCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int loadMatrixCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int getMVMatrixCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int multMatrixCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int genListsCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int deleteListsCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int callListCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int newListCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int endListCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int cullFaceCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int polygonModeCallBack ( struct Togl *togl, int argc, char *argv[] );
extern int sleepCallBack ( ClientData clientData, Tcl_Interp *interp, int argc, Tcl_Obj *const argv[] );
extern int initNamesCallBack(ClientData, Tcl_Interp *, int, Tcl_Obj *const[]);
extern int popNameCallBack(ClientData, Tcl_Interp *, int, Tcl_Obj *const[]);
extern int pushNameCallBack(ClientData, Tcl_Interp *, int, Tcl_Obj *const[]);
extern int loadNameCallBack(ClientData, Tcl_Interp *, int, Tcl_Obj *const[]);
extern int pickUpCallBack(struct Togl *, int, char *[]);
#endif /* _COMMANDS_H */
